import Editor,CmdNo
from Register import RegisterKeys
# german keyboard on PC
def InitSniffPCKeymap(kh):
	kh.BindKey("M-[",Editor.InsertText,"[")
	kh.BindKey("M-{",Editor.InsertText,"{")
	kh.BindKey("M-}",Editor.InsertText,"}")
	kh.BindKey("M-]",Editor.InsertText,"]")
	kh.BindKey("M-|",Editor.InsertText,"|")
	kh.BindKey("M-~",Editor.InsertText,"~")
	kh.BindKey("M-@",Editor.InsertText,"@")
	kh.BindKey("udiaresis",Editor.InsertText,"ü")
	kh.BindKey("odiaresis",Editor.InsertText,"ö")
	kh.BindKey("adiaresis",Editor.InsertText,"ä")
	kh.BindKey("Udiaresis",Editor.InsertText,"Ü")
	kh.BindKey("Odiaresis",Editor.InsertText,"Ö")
	kh.BindKey("Adiaresis",Editor.InsertText,"Ä")
	kh.SetShortcut("C-c h",CmdNo.cIdFindSelectionForward)	# "Search Forward@H"
	kh.SetShortcut("C-c k",CmdNo.cIdFindSelectionBackward)	# "Search Backward@K"	##kh.BindKey("M-\",Editor.InsertText,"\\")
RegisterKeys(InitSniffPCKeymap,"")
